Package Gnumed :: Package wxpython :: Module gmExamplePluginWidgets :: Class cExamplePluginPnl |
[frames] | no frames]

# Class cExamplePluginPnl

source code

    wxGladeWidgets.wxgExamplePluginPnl.wxgExamplePluginPnl --+
                                                             |
                           gmRegetMixin.cRegetOnPaintMixin --+
                                                             |
                                                            cExamplePluginPnl

Panel holding a number of widgets. Used as notebook page.

Instance Methods
__init__(self, *args, **kwargs) | source code
repopulate_ui(self) Just a glue method to make this compatible with notebook plugins. | source code

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__

### repopulate_ui(self) | source code
Just a glue method to make this compatible with notebook plugins. Overrides: gmRegetMixin.cRegetOnPaintMixin.repopulate_ui (inherited documentation)